%define target sh-elf

Name:		%{target}-binutils
Version:	2.21
Release:	1%{?dist}
Summary:	Cross Compiling GNU binutils targeted at %{target}
Group:		Development/Tools
License:	GPLv3+
URL:		http://www.gnu.org/software/binutils/
Source0:	http://ftp.gnu.org/gnu/binutils/binutils-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	texinfo


%description
This is a Cross Compiling version of GNU binutils, which can be used to
assemble and link binaries for the %{target} platform, instead of for the
native %{_arch} platform.


%prep
%setup -q -c

%build
mkdir -p build
cd build
CFLAGS="%{optflags}" ../binutils-%{version}/configure --prefix=%{_prefix} \
	--libdir=%{_libdir} --mandir=%{_mandir} --infodir=%{_infodir} \
	--target=%{target} --disable-nls

make %{?_smp_mflags}


%install
cd build
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
# these are for win targets only
rm -f %{buildroot}%{_mandir}/man1/%{target}-{dlltool,nlmconv,windres,windmc}.1
# we don't want these as this is a cross-compiler
rm -rf %{buildroot}%{_infodir}
rm -f %{buildroot}%{_libdir}/libiberty.a

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_prefix}/%{target}

%{_bindir}/%{target}-*
%{_mandir}/man1/%{target}-*.1.gz


%changelog
* Wed Feb  2 2011 John W. Linville <linville@redhat.com> - 2.21-1
- Initial release
